# Software development configuration
{ config, pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [
    gitea
    git-lfs
  ];

  # Gitea setup with daily backup
  services.gitea = {
    enable = true;
    domain = "coolneng.duckdns.org";
    rootUrl = "https://coolneng.duckdns.org/gitea";
    database = {
      type = "postgres";
      passwordFile = "/var/keys/gitea/db";
    };
    cookieSecure = true;
    disableRegistration = true;
    repositoryRoot = "/vault/git";
    dump.enable = true;
    useWizard = true;
    extraConfig = ''
    [server]
      DISABLE_SSH = true
      LFS_START_SERVER = true
      LFS_HTTP_AUTH_EXPIRY = 60m
    [ui]
      DEFAULT_THEME = arc-green
    '';
  };

}
